import { TranslateService } from "@ngx-translate/core";
import { FormField } from "@seniorsistemas/angular-components";
import { Observable } from "rxjs";
import { LookupServiceConfig } from "../../core/dto/lookup-service-config";
import { RulesService } from "../../core/entities/rules/rules.service";
import { EntityLookupConfigService } from "../../shared/services/entity-lookup-config.service";
export declare class RulesLookupService {
    private translate;
    private configService;
    private rulesService;
    constructor(translate: TranslateService, configService: EntityLookupConfigService, rulesService: RulesService);
    lookupServiceConfig: LookupServiceConfig;
    private ngUnsubscribe;
    updateSuggestions(value: any): void;
    getSuggestionValue(displayFields: string[], ownerEntity: string, value: any, separator: string): any;
    getFormField(): FormField;
    onRulesSearchRequest(event: any): void;
    onRulesRequestObservable(event: any, additionalFilter: string, isDynamicForm?: boolean): Observable<any>;
    private getFiltersDefaultRules;
    private mapToComponent;
    private getLabelForMaping;
    onRulesLookupRequest(value: string): void;
    onRulesLookupRequestObservable(value: string, additionalFilter: string): Observable<any>;
    getRulesFields(): FormField[];
}
